package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DICTIONARY_FILE"
)
public class TCoreDictionartFile extends TBaseEntity {
   private String dictionaryTypeName;
   private String dictionaryTypeId;
   private String dictionaryValue;
   private String dictionaryName;
   private String parentName;

   public TCoreDictionartFile() {
   }

   public TCoreDictionartFile(String dictionaryTypeName, String dictionaryTypeId, String dictionaryValue, String dictionaryName, String parentName) {
      this.dictionaryTypeName = dictionaryTypeName;
      this.dictionaryTypeId = dictionaryTypeId;
      this.dictionaryValue = dictionaryValue;
      this.dictionaryName = dictionaryName;
      this.parentName = parentName;
   }

   public String getDictionaryTypeName() {
      return this.dictionaryTypeName;
   }

   public void setDictionaryTypeName(String dictionaryTypeName) {
      this.dictionaryTypeName = dictionaryTypeName;
   }

   public String getDictionaryTypeId() {
      return this.dictionaryTypeId;
   }

   public void setDictionaryTypeId(String dictionaryTypeId) {
      this.dictionaryTypeId = dictionaryTypeId;
   }

   public String getDictionaryValue() {
      return this.dictionaryValue;
   }

   public void setDictionaryValue(String dictionaryValue) {
      this.dictionaryValue = dictionaryValue;
   }

   public String getDictionaryName() {
      return this.dictionaryName;
   }

   public void setDictionaryName(String dictionaryName) {
      this.dictionaryName = dictionaryName;
   }

   public String getParentName() {
      return this.parentName;
   }

   public void setParentName(String parentName) {
      this.parentName = parentName;
   }
}
